curs_getyx(3X)

NAME
getyx, getparyx, getbegyx, getmaxyx - get curses cursor and window coordinates

SYNOPSIS
#include <curses.h> void getyx(WINDOW *win, int y, int x);
void getparyx(WINDOW *win, int y, int x);
void getbegyx(WINDOW *win, int y, int x);
void getmaxyx(WINDOW *win, int y, int x);

DESCRIPTION
The getyx macro places the current cursor position of the given window in the two integer variables y and x. If win is a subwindow, the getparyx macro places the beginning coordinates of the subwindow relative to the parent window into two integer variables y and x. Otherwise, -1 is placed into y and x. Like getyx, the getbegyx and getmaxyx macros store the current beginning coordinates and size of the specified window.

RETURN VALUE
The return values of these macros are undefined (i.e., they should not be used as the right-hand side of assignment statements).

NOTES
All of these interfaces are macros and that "&" is not necessary before the variables y and x.

PORTABILITY
These functions are described in the XSI Curses standard, Issue 4.

SEE ALSO
curses(3X)